#
# Cybran Anti Air Missile
#
local CCorsairRocketProjectile = import('/lua/cybranprojectiles.lua').CCorsairRocketProjectile
CDFCorsairRocket01 = Class(CCorsairRocketProjectile) {

     OnCreate = function(self)
        CCorsairRocketProjectile.OnCreate(self)
        self:ForkThread(self.UpdateThread)
    end,

    OnImpact = function(self, TargetType, TargetEntity)
    
          CreateEmitterAtEntity(self, self:GetArmy(), '/mods/AlienNationsUnitAdditions/effects/emitters/flamethrower_emit.bp'):ScaleEmitter(2.5)  

         CCorsairRocketProjectile.OnImpact(self, TargetType, TargetEntity)
    end,
}

TypeClass = CDFCorsairRocket01
